// @ts-nocheck
import { ApplyPluginsType, dynamic } from '/FE/project/panda_maintenance/node_modules/_@umijs_runtime@3.2.15@@umijs/runtime';
import { plugin } from './plugin';

export function getRoutes() {
  const routes = [
  {
    "path": "/",
    "component": (props) => require('react').createElement(require('/FE/project/panda_maintenance/node_modules/_@umijs_preset-dumi@1.0.13@@umijs/preset-dumi/lib/themes/default/layout.js').default, {
      ...{"menus":{"*":{"*":[{"path":"/","title":"运维平台 - 开发文档","meta":{"order":10}}],"/components":[{"path":"/components","title":"基础组件","meta":{}}],"/faq":[{"path":"/faq","title":"常见问题","meta":{}}],"/guide":[{"title":"介绍","children":[{"path":"/guide","title":"介绍"},{"path":"/guide/getting-started","title":"快速上手"},{"path":"/guide/command","title":"script 命令"}]}]}},"locales":[],"navs":{"*":[{"title":"指南","order":1,"path":"/guide"},{"title":"组件","order":1,"path":"/components"},{"title":"faq","order":3,"path":"/faq"},{"title":"GitHub","path":"https://g.civnet.cn:8443/test/maintenance.git"},{"title":"更新日志","path":"https://g.civnet.cn:8443/test/maintenance/releases"}]},"title":"运维平台","mode":"site","repoUrl":"https://github.com/react-boilerplate/react-boilerplate"},
      ...props,
    }),
    "routes": [
      {
        "path": "/",
        "component": dynamic({ loader: () => import(/* webpackChunkName: 'docs__index.md' */'../../../docs/index.md')}),
        "exact": true,
        "meta": {
          "filePath": "docs/index.md",
          "updatedTime": 1597631207000,
          "title": "运维平台 - 开发文档",
          "order": 10,
          "hero": {
            "title": "运维平台",
            "actions": [
              {
                "text": "快速开始",
                "link": "/guide/getting-started"
              }
            ]
          },
          "footer": "<div class=\"markdown\"><p>Open-source MIT Licensed | Copyright © 2020-present<br />Powered by self</p></div>",
          "slugs": [
            {
              "depth": 2,
              "value": "快速开始",
              "heading": "快速开始"
            }
          ]
        },
        "title": "运维平台 - 开发文档"
      },
      {
        "path": "/components",
        "component": dynamic({ loader: () => import(/* webpackChunkName: 'docs__components__index.md' */'../../../docs/components/index.md')}),
        "exact": true,
        "meta": {
          "filePath": "docs/components/index.md",
          "updatedTime": 1597630187000,
          "title": "基础组件",
          "nav": {
            "title": "组件",
            "order": 1,
            "path": "/components"
          },
          "slugs": []
        },
        "title": "基础组件"
      },
      {
        "path": "/faq",
        "component": dynamic({ loader: () => import(/* webpackChunkName: 'docs__faq__index.md' */'../../../docs/faq/index.md')}),
        "exact": true,
        "meta": {
          "filePath": "docs/faq/index.md",
          "updatedTime": 1597630187000,
          "title": "常见问题",
          "nav": {
            "title": "faq",
            "order": 3,
            "path": "/faq"
          },
          "slugs": []
        },
        "title": "常见问题"
      },
      {
        "path": "/guide/command",
        "component": dynamic({ loader: () => import(/* webpackChunkName: 'docs__guide__command.md' */'../../../docs/guide/command.md')}),
        "exact": true,
        "meta": {
          "filePath": "docs/guide/command.md",
          "updatedTime": 1597630187000,
          "title": "script 命令",
          "nav": {
            "title": "指南",
            "order": 1,
            "path": "/guide"
          },
          "slugs": [
            {
              "depth": 1,
              "value": "script 命令",
              "heading": "script-命令"
            },
            {
              "depth": 2,
              "value": "初始化",
              "heading": "初始化"
            },
            {
              "depth": 2,
              "value": "开发环境",
              "heading": "开发环境"
            },
            {
              "depth": 2,
              "value": "清除",
              "heading": "清除"
            },
            {
              "depth": 2,
              "value": "生成模版代码块",
              "heading": "生成模版代码块"
            },
            {
              "depth": 2,
              "value": "服务",
              "heading": "服务"
            },
            {
              "depth": 3,
              "value": "开发环境",
              "heading": "开发环境-1"
            },
            {
              "depth": 3,
              "value": "生产环境",
              "heading": "生产环境"
            },
            {
              "depth": 3,
              "value": "Host and Port",
              "heading": "host-and-port"
            },
            {
              "depth": 2,
              "value": "打包",
              "heading": "打包"
            },
            {
              "depth": 2,
              "value": "Testing",
              "heading": "testing"
            },
            {
              "depth": 2,
              "value": "单元测试",
              "heading": "单元测试"
            },
            {
              "depth": 3,
              "value": "Watching",
              "heading": "watching"
            },
            {
              "depth": 2,
              "value": "检查代码规范",
              "heading": "检查代码规范"
            }
          ],
          "group": {
            "title": "介绍"
          }
        },
        "title": "script 命令"
      },
      {
        "path": "/guide/getting-started",
        "component": dynamic({ loader: () => import(/* webpackChunkName: 'docs__guide__getting-started.md' */'../../../docs/guide/getting-started.md')}),
        "exact": true,
        "meta": {
          "filePath": "docs/guide/getting-started.md",
          "updatedTime": 1597630187000,
          "title": "快速上手",
          "order": 9,
          "nav": {
            "order": 10,
            "path": "/guide",
            "title": "指南"
          },
          "slugs": [
            {
              "depth": 2,
              "value": "环境准备",
              "heading": "环境准备"
            },
            {
              "depth": 2,
              "value": "脚手架初始化",
              "heading": "脚手架初始化"
            }
          ],
          "group": {
            "title": "介绍"
          }
        },
        "title": "快速上手"
      },
      {
        "path": "/guide",
        "component": dynamic({ loader: () => import(/* webpackChunkName: 'docs__guide__index.md' */'../../../docs/guide/index.md')}),
        "exact": true,
        "meta": {
          "filePath": "docs/guide/index.md",
          "updatedTime": 1597646461000,
          "title": "介绍",
          "nav": {
            "title": "指南",
            "order": 1,
            "path": "/guide"
          },
          "slugs": [
            {
              "depth": 3,
              "value": "技术栈",
              "heading": "技术栈"
            },
            {
              "depth": 3,
              "value": "Core",
              "heading": "core"
            },
            {
              "depth": 3,
              "value": "UI",
              "heading": "ui"
            },
            {
              "depth": 3,
              "value": "Unit Testing",
              "heading": "unit-testing"
            },
            {
              "depth": 3,
              "value": "Linting",
              "heading": "linting"
            },
            {
              "depth": 2,
              "value": "项目结构",
              "heading": "项目结构"
            }
          ],
          "group": {
            "title": "介绍"
          }
        },
        "title": "介绍"
      }
    ],
    "title": "运维平台"
  }
];

  // allow user to extend routes
  plugin.applyPlugins({
    key: 'patchRoutes',
    type: ApplyPluginsType.event,
    args: { routes },
  });

  return routes;
}
